package com.ruoyi.web.controller.chinaArea;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.ChinaArea;
import com.ruoyi.system.service.IChinaAreaService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author tjf
 * @Date: 2022/03/25/9:39
 */
@RestController
@RequestMapping("/chinaArea")
public class ChinaAreaController {

    @Resource
    private IChinaAreaService chinaAreaService;
    /**
     * 获取行政区域规划下拉树列表
     */
    @PostMapping("/treeSelect")
    public AjaxResult treeSelect(@RequestBody ChinaArea chinaArea)
    {
        return chinaAreaService.selectChinaAreaList(chinaArea);
    }
}
